Bug 460911 - Default "Maximum rows" value breaks usability of centered "Task Manager" items on a horizontal panel
Summary: Default "Maximum rows" value breaks usability of centered "Task Manager" ite...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.26.1
Platform: Other Linux
: NOR minor
Target Milestone: 1.0
Assignee: veggero
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-23 22:39 UTC by Yevhen
Modified: 2023-01-11 20:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments
Recording how to get centered Task Manager with tiny icons (1.40 MB, video/webm)
2022-10-23 22:39 UTC, Yevhen
Details
Screenshot of the centered task manager with tiny icons (133.70 KB, image/jpeg)
2022-10-23 22:39 UTC, Yevhen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yevhen 2022-10-23 22:39:02 UTC
Created attachment 153154 [details]
Recording how to get centered Task Manager with tiny icons

SUMMARY
Plasma 5.19 introduced better panel spacers so we could actually perfectly center "Task Manager" (as it's shown at @niccolove tutorial (https://youtu.be/mlN9EeKMMsA))
However currently "Task Manager" option which is called "Maximum rows" (for horizontal panel, "Maximum columns" - for vertical) has default value "2". And with such value after adding spacers on both sides of the "Task Manager" we're getting very small icons placed in 2 rows. In order to fix this user must got to settings of the "Task Manager" and lower value of "Maximum rows" to "1".
I guess this value is some kind of legacy from very old KDE releases and currently could be safely dropped to "1" by default.


STEPS TO REPRODUCE (for vanilla KDE Plasma 5.26.1)
1. Right click on a panel, "Enter Edit Mode"
2. add 2 "Spacers"
3. Place one Spacer to left to the "Icons-Only Task Manager", second  - right to the "Icons-Only Task Manager"
Recording is attached as well

OBSERVED RESULT
Size of the Task Manager icons doesn't change and they're placed in one row

EXPECTED RESULT
Size of the Task Manager icons changes to very small they get placed in two rows

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE Neon 5.26
KDE Plasma Version: 5.26.1
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Comment 1 Yevhen 2022-10-23 22:39:59 UTC
Created attachment 153155 [details]
Screenshot of the centered task manager with tiny icons
Comment 2 Felipe Kinoshita 2023-01-11 07:33:36 UTC
Git commit eb450a80890998b3dbd671bbc990bb22cb81394e by Felipe Kinoshita.
Committed on 11/01/2023 at 07:21.
Pushed by fhek into branch 'task_manager_default_stripes'.

applets/taskmanager: Make 1 stripe the default

By default the taskmanager allows for applications to form up to 2
stripes, meaning 2 rows of icons. It's very easy to end up with 2
stripes when customizing your panel.

However, this is not a thing most users are used to, prefering
applications taking up to 1 row.

M  +1    -1    applets/taskmanager/package/contents/config/main.xml

https://invent.kde.org/plasma/plasma-desktop/commit/eb450a80890998b3dbd671bbc990bb22cb81394e
Comment 3 Felipe Kinoshita 2023-01-11 07:37:07 UTC
Git commit 64fb4619b889544247d8dbc2291202d37041458b by Felipe Kinoshita.
Committed on 11/01/2023 at 07:34.
Pushed by fhek into branch 'task_manager_default_stripes'.

applets/taskmanager: Make 1 stripe the default

By default the taskmanager allows for applications to form up to 2
stripes, meaning 2 rows of icons. It's very easy to end up with 2
stripes when customizing your panel.

However, this is not a thing most users are used to, prefering
applications to only take up to 1 row.

M  +1    -1    applets/taskmanager/package/contents/config/main.xml

https://invent.kde.org/plasma/plasma-desktop/commit/64fb4619b889544247d8dbc2291202d37041458b
Comment 4 Felipe Kinoshita 2023-01-11 16:22:08 UTC
Git commit 4d737a3cd22fdba3bcfdc6b44cf2cb8402f510b8 by Felipe Kinoshita.
Committed on 11/01/2023 at 16:21.
Pushed by fhek into branch 'master'.

applets/taskmanager: Make 1 stripe the default

By default the taskmanager allows for applications to form up to 2
stripes, meaning 2 rows of icons. It's very easy to end up with 2
stripes when customizing your panel.

However, this is not a thing most users are used to, prefering
applications to only take up to 1 row.

add an object name to the base focus scope

this is needed for appium based teststo actually expand the applet

M  +1    -1    applets/taskmanager/package/contents/config/main.xml

https://invent.kde.org/plasma/plasma-desktop/commit/4d737a3cd22fdba3bcfdc6b44cf2cb8402f510b8